| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions
com.symantec.sepm.webservice.policy.PolicySummaryInfo Class Reference

Provides summary information about a policy that is stored in the Symantec Endpoint Protection Manager policy library. More...

## Public Member Functions
String | getId ()
| Gets the unique identifier for the group. More...
void | setId (String id)
| Client applications should not call this method. More...
String | getName ()
| Gets the name of the policy. More...
void | setName (String name)
| Client applications should not call this method. More...
String | getType ()
| Gets the policy type. More...
void | setType (String type)
| Client applications should not call this method. More...
String | getDescription ()
| Gets the optional description text that the administrators can specify when they add or edit a policy. More...
void | setDescription (String description)
| Client applications should not call this method. More...
String | getDomainId ()
| Gets the ID of the Symantec Endpoint Protection domain that the current administrator is logged into. More...
void | setDomainId (String domainId)
| Client applications should not call this method. More...

## Detailed Description

Provides summary information about a policy that is stored in the Symantec Endpoint Protection Manager policy library.

All policies of every type contain the same summary information attributes.

An instance of this class can be obtained from PolicyService#getPolicySummaryInfo(String, String).

## Member Function Documentation

String com.symantec.sepm.webservice.policy.PolicySummaryInfo.getId | ( |  | ) |

Gets the unique identifier for the group.

Returns
  the group ID

void com.symantec.sepm.webservice.policy.PolicySummaryInfo.setId | ( | String | id | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Sets the unique identifier for the group.

Parameters

  id | the id to set

String com.symantec.sepm.webservice.policy.PolicySummaryInfo.getName | ( |  | ) |

Gets the name of the policy.

Returns
  the policy name

void com.symantec.sepm.webservice.policy.PolicySummaryInfo.setName | ( | String | name | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Sets the name of the policy

Parameters

  name | the policy name to set

String com.symantec.sepm.webservice.policy.PolicySummaryInfo.getType | ( |  | ) |

Gets the policy type.

Policy types are specified by the PolicyType enumerator, PolicyService.PolicyType.

Returns
  the policy type

void com.symantec.sepm.webservice.policy.PolicySummaryInfo.setType | ( | String | type | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Sets the type of the policy.

Parameters

  type | the policy type to set

String com.symantec.sepm.webservice.policy.PolicySummaryInfo.getDescription | ( |  | ) |

Gets the optional description text that the administrators can specify when they add or edit a policy.

Returns
  the policy description

void com.symantec.sepm.webservice.policy.PolicySummaryInfo.setDescription | ( | String | description | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Sets the optional description text that the administrators can specify when they add or edit a policy

Parameters

  description | the description to set

String com.symantec.sepm.webservice.policy.PolicySummaryInfo.getDomainId | ( |  | ) |

Gets the ID of the Symantec Endpoint Protection domain that the current administrator is logged into.

Returns
  the domainId

void com.symantec.sepm.webservice.policy.PolicySummaryInfo.setDomainId | ( | String | domainId | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Sets the ID of the Symantec Endpoint Protection domain that the current administrator is logged into

Parameters

  domainId | the domainId to set